/*
	Abigail Thornton
	November 13, 2022 Section 101
	Lab 10B
	This is the header file for the modules: mainDriver.c, getWidth.c, fillFlagArray.c, writeHeader.c, and writePixels.c. This file includes the protoypes and structures needed for these functions. 
*/
#include <stdio.h>

//structures

typedef struct {
	char type[3];
	int width;
	int height;
	int maxColor;
} header_t;

typedef struct {
	unsigned int r;
	unsigned int g;
	unsigned int b;
} pixel_t;

//prototypes

 
void writeHeader(header_t info); 
void fillImageArray(pixel_t flag[], int width, int height);
void writeHalfSizePixels(pixel_t flag[], int width, int height); 
header_t getHeader();

